
Foreman - Bug #4680

Regression: Hosts with no domain cannot be created when Unattended=false

03/17/2014 07:32 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Host creation   

Target version: 1.4.2   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Due to hostname validation changes, a name like "test" is updated to "test." which then fails validation.

Related issues:

Related to Foreman - Bug #4602: misleading error regarding host name when cre... New 03/09/2014

Associated revisions

Revision 014c9ab5 - 03/21/2014 12:25 PM - Greg Sutcliffe

Fixes #4680 - Don't append periods to unqualified unmanaged hosts

Revision 3885f721 - 03/24/2014 08:40 AM - Greg Sutcliffe

Fixes #4680 - Don't append periods to unqualified unmanaged hosts

(cherry picked from commit 014c9ab5eb9bb9b8d655d48a8ccd540613390788)

History

#1 - 03/17/2014 07:38 PM - Greg Sutcliffe

- Related to Bug #4602: misleading error regarding host name when creating a host added

#2 - 03/17/2014 07:46 PM - Greg Sutcliffe

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1303

#3 - 03/17/2014 07:49 PM - Oscar Ferrer

I've tried it and solves the problem in my 1.4.1 installation. Thanks buddy!!

#4 - 03/21/2014 02:31 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 014c9ab5eb9bb9b8d655d48a8ccd540613390788.
